## pogo 1.0.1

=== debian/changelog ===
pogo (1.0.1-0.1~mx21+1) mx; urgency=low

  * Rebuild for MX Linux.
  * Bump up to debhelper compat 10.
  * Make recommended packages explicit dependencies.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 20 Aug 2023 19:35:18 -0700

pogo (1.0.1-1) UNRELEASED; urgency=low

  * New upstream release
  * Fix accessing PIL version number.

 -- Jendrik Seipp <jendrikseipp@web.de>  Sun, 19 Jul 2020 20:22:18 +0200

pogo (1.0-1) UNRELEASED; urgency=low

  * New upstream release
  * Remove code for playing CDs.
  * Use GitHub for issue tracking.
  * Test for dead code with Vulture.

 -- Jendrik Seipp <jendrikseipp@web.de>  Wed, 11 Jul 2018 14:18:55 +0200

pogo (0.9.2-1) UNRELEASED; urgency=low

  * New upstream release
  * Fix adding tracks from left pane to playlist (resolves #1).

 -- Jendrik Seipp <jendrikseipp@web.de>  Fri, 03 Mar 2017 09:40:29 +0100

pogo (0.9.1-1) UNRELEASED; urgency=low

  * New upstream release
  * Add AppData file (lp:1321813).
  * Fix two regressions (lp:1666667, lp:1659048).

 -- Jendrik Seipp <jendrikseipp@web.de>  Sun, 26 Feb 2017 19:47:40 +0100

pogo (0.9-1) UNRELEASED; urgency=low

  * New upstream release
  * Port from GTK 2 to GTK 3.
  * Port from Python 2 to Python 3.

 -- Jendrik Seipp <jendrikseipp@web.de>  Thu, 16 Feb 2017 23:19:34 +0100

pogo (0.8.7-1) UNRELEASED; urgency=low

  * New upstream release
  * Move code to github.
  * Remove unused code.
  * Make debian package's dependency on dh-python explicit.
  * Include elementary-style icon in repo under pix/pogo-e-48.svg (thanks Felix).

 -- Jendrik Seipp <jendrikseipp@web.de>  Wed, 03 Aug 2016 18:05:24 +0200

pogo (0.8.6-1) UNRELEASED; urgency=low

  * New upstream release
  * Fix version number.
  * Update translations.

 -- Jendrik Seipp <jendrikseipp@web.de>  Sat, 19 Sep 2015 12:07:24 +0200

pogo (0.8.5-1) UNRELEASED; urgency=low

  * New upstream release
  * Don't crash when 'find' or 'locate' are missing.
  * Add pyflakes test. Run with "make test".

 -- Jendrik Seipp <jendrikseipp@web.de>  Fri, 18 Sep 2015 19:07:23 +0200

pogo (0.8.4-1) UNRELEASED; urgency=low

  * New upstream release
  * Skip non-existing files during exports.
  * Don't crash when clearing the playlist.
  * Log system info and library versions for easier debugging.

 -- Jendrik Seipp <jendrikseipp@web.de>  Thu, 14 May 2015 20:20:31 +0200

pogo (0.8.3-1) UNRELEASED; urgency=low

  * New upstream release
  * Display filename in notification if track title is unknown.
  * Apply fix from decibel: Don't set VBR information for MP3 files (#1202195).
  * Apply fix from decibel: Remove obsolete volume handling code.

 -- Jendrik Seipp <jendrikseipp@web.de>  Fri, 25 Jul 2014 00:41:03 +0200

pogo (0.8.2-1) UNRELEASED; urgency=low

  * New upstream release
  * Update the clickable buttons after the tracks have been rearranged (lp:1191891).
  * Disable zeitgeist module since its DBus interface causes problems frequently.

 -- Jendrik Seipp <jendrikseipp@web.de>  Sun, 30 Jun 2013 21:22:19 +0200

pogo (0.8.1-1) UNRELEASED; urgency=low

  * New release

 -- Jendrik Seipp <jendrikseipp@web.de>  Sun, 20 Jan 2013 22:44:51 +0100

pogo (0.8-1) precise; urgency=low

  * New release

 -- Jendrik Seipp <jendrikseipp@web.de>  Wed, 05 Sep 2012 16:10:57 +0200

pogo (0.7-1) precise; urgency=low

  * New release

 -- Jendrik Seipp <jendrikseipp@web.de>  Fri, 27 Apr 2012 19:24:38 +0200

pogo (0.6-1) precise; urgency=low

  * New release

 -- Jendrik Seipp <jendrikseipp@web.de>  Mon, 26 Mar 2012 21:18:20 +0200

pogo (0.5-1) experimental; urgency=low

  * New release

 -- Jendrik Seipp <jendrikseipp@web.de>  Thu, 12 Jan 2012 13:46:05 +0200

pogo (0.4-1) experimental; urgency=low

  * Initial debian packaging

 -- Jendrik Seipp <jendrikseipp@web.de>  Mon, 31 Oct 2011 15:50:05 +0200
