=== debian/control ===
Source: pogo
Section: sound
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Jendrik Seipp <jendrikseipp@gmail.com>
Build-Depends: debhelper (>= 10)
Build-Depends-Indep: dh-python, python3
Standards-Version: 3.9.6
Homepage: https://github.com/jendrikseipp/pogo
Vcs-Git: git://github.com/jendrikseipp/pogo.git
Vcs-Browser: https://github.com/jendrikseipp/pogo

Package: pogo
Architecture: all
Depends: gir1.2-gdkpixbuf-2.0,
         gir1.2-glib-2.0,
         gir1.2-gstreamer-1.0,
         gir1.2-gtk-3.0,
         gir1.2-notify-0.7,
         gir1.2-pango-1.0,
         gnome-settings-daemon,
         gstreamer1.0-plugins-bad,
         gstreamer1.0-plugins-base,
         gstreamer1.0-plugins-good,
         gstreamer1.0-plugins-ugly,
         gstreamer1.0-pulseaudio,
         python3-dbus,
         python3-gi,
         python3-mutagen,
         python3-pil,
         ${misc:Depends},
         ${python3:Depends}
Description: fast and minimalist audio player
 Pogo groups tracks by album, which uses less space and simplifies
 rearranging your playlist. Pogo does not organize your tracks in a
 music library and does not stream or download tracks. Therefore, it is
 best suited for people who store their tracks by album and want a
 simple way of playing them. Pogo allows you to quickly search for music
 on local drives and in the playlist. It also features an equalizer and
 displays covers and desktop notifications. Pogo is a fork of Decibel
 Audio Player and supports most common audio formats. It is written in
 Python and uses GTK+ and GStreamer.
