## pogo 1.0.1-0~717~antix1

=== debian/changelog ===
pogo (1.0.1-0~717~antix1) unstable; urgency=medium

  * antiX build 

 -- anticapitalista <antix@operamail.com>  Wed, 28 Dec 2022 16:42:06 +0200

pogo (1.0.1-0~717~ubuntu20.10.1) groovy; urgency=low

  * Auto build.

 -- Launchpad Package Builder <noreply@launchpad.net>  Sun, 19 Jul 2020 23:18:09 +0000
